<?php
/**
 * Core functions.
 *
 * @package charitable_trust
 */

if ( ! function_exists( 'charitable_trust_get_option' ) ) :

	/**
	 * Get theme option
	 *
	 * @since 1.0.0
	 *
	 * @param string $key Option key.
	 * @return mixed Option value.
	 */
	function charitable_trust_get_option( $key ) {

		$charitable_trust_default_options = charitable_trust_get_default_theme_options();

		if ( empty( $key ) ) {
			return;
		}

		$charitable_trust_theme_options = (array)get_theme_mod( 'theme_options' );
		$charitable_trust_theme_options = wp_parse_args( $charitable_trust_theme_options, $charitable_trust_default_options );

		$charitable_trust_value = null;

		if ( isset( $charitable_trust_theme_options[ $key ] ) ) {
			$charitable_trust_value = $charitable_trust_theme_options[ $key ];
		}

		return $charitable_trust_value;

	}

endif;

if ( ! function_exists( 'charitable_trust_get_options' ) ) :

	/**
	 * Get all theme options.
	 *
	 * @since 1.0.0
	 *
	 * @return array Theme options.
	 */
  function charitable_trust_get_options() {

    $charitable_trust_default_options = charitable_trust_get_default_theme_options();
    $charitable_trust_theme_options = (array)get_theme_mod( 'theme_options' );
    $charitable_trust_theme_options = wp_parse_args( $charitable_trust_theme_options, $charitable_trust_default_options );
    return $charitable_trust_theme_options;

  }

endif;

if( ! function_exists( 'charitable_trust_exclude_category_in_blog_page' ) ) :

  /**
   * Exclude category in blog page.
   *
   * @since 1.0
   */
  function charitable_trust_exclude_category_in_blog_page( $query ) {

    if( $query->is_home && $query->is_main_query()   ) {
      $charitable_trust_exclude_categories = charitable_trust_get_option( 'exclude_categories' );
      if ( ! empty( $charitable_trust_exclude_categories ) ) {
        $cats = explode( ',', $charitable_trust_exclude_categories );
        $cats = array_filter( $cats, 'is_numeric' );
        $charitable_trust_string_exclude = '';
        if ( ! empty( $cats ) ) {
          $charitable_trust_string_exclude = '-' . implode( ',-', $cats);
          $query->set( 'cat', $charitable_trust_string_exclude );
        }
      }
    }
    return $query;
  }

endif;

add_filter( 'pre_get_posts', 'charitable_trust_exclude_category_in_blog_page' );
